LoS dependency list for Arch Linux users

LoS dependency list for Arch Linux users

Postby Wuzzy » 19 Oct 2013, 20:46

This may come in handy for Arch Linux users.

I have compiled a list of the package names in Arch Linux for the dependencies of Lips of Suna. First of all, all dependencies are in the official Arch Linux repositories. :) You must have enabled the repositories Extra, Community and Core.

Now for the list (in brackets the repository name is enclosed):
  • bullet [Community]
  • enet [Community]
  • lua [Extra]
  • sqlite [Extra]
  • ogre [Community]
  • ois [Community]
  • freeimage [Community] or libpng [Extra]
  • openal [Extra]
  • libogg [Extra]
  • libvorbis [Extra]
  • flac [Extra]
  • curl [Core]
I also wrote the command. This command will install these packages and skips those you already have up-to-date:
{l Code}: {l Select All Code}
pacman -S --needed bullet enet lua sqlite ogre ois freeimage openal libogg libvorbis flac curl


Not on the list is OpenGL. For OpenGL support, a video driver with 3D accelleration must be installed, see https://wiki.archlinux.org/index.php/Xorg#Driver_installation. But you most likely already have done that. ;)

Package names of the tools:
  • waf [Community]
  • git [Extra]
  • blender [Community]
  • gimp [Extra]
  • gimp-plugin-dds [AUR] (note that this is purely optional)

Please tell me if I forgot something.
User avatar
Wuzzy
 
Posts: 484
Joined: 28 May 2012, 23:13

Re: LoS dependency list for Arch Linux users

Postby amuzen » 20 Oct 2013, 09:40

Thanks! I added your command to the dependency page of the wiki.
User avatar
amuzen
LoS Moderator
 
Posts: 327
Joined: 05 Dec 2009, 02:49

Re: LoS dependency list for Arch Linux users

Postby SpamBot-006 » 27 Jan 2014, 16:33

It needs a patch to build a67bb15fcca

{l Code}: {l Select All Code}
patch -p1 < ./build.patch


[The extension patch has been deactivated and can no longer be displayed.]

OK
build.patch:

{l Code}: {l Select All Code}
diff --git a/wscript b/wscript
index 6994d8a..d1e49eb 100644
--- a/wscript
+++ b/wscript
@@ -82,6 +82,7 @@ def configure(conf):
    conf.check_cc(lib='pthread', uselib_store='THREAD', mandatory=False)
    conf.check_cc(lib='iconv', uselib_store='CORE', mandatory=False) # BSD
    conf.check_zlib()
+   conf.check_boost_system()
    conf.check_sqlite()
    conf.check_bullet()
    conf.check_enet()
@@ -202,7 +203,7 @@ def build(bld):
       target = 'lipsofsuna',
       source = srcs,
       install_path = '${BINDIR}',
-      use = 'CORE LUA SQLITE BULLET ENET OIS OGRE PNG FREEIMAGE THREAD AL VORBIS OGG FLAC CURL ZLIB')
+      use = 'CORE LUA BOOST_SYS SQLITE BULLET ENET OIS OGRE PNG FREEIMAGE THREAD AL VORBIS OGG FLAC CURL ZLIB')
    # LOD tool.
    srcs = list(bld.path.ant_glob('src/lodtool/*.c'))
    for dir in LODT_DIRS.split(' '):
@@ -296,6 +297,17 @@ def check_zlib(conf):
    conf.fatal('Could not find zlib')
 
 @conf
+def check_boost_system(conf):
+   conf.start_msg('Checking for package boost_system')
+   conf.env.stash()
+   if conf.check_cc(lib='boost_system', mandatory=False, uselib_store='BOOST_SYS'):
+           conf.end_msg('library boost_system')
+           return
+   conf.env.revert()
+   conf.end_msg(False)
+   conf.fatal('Could not find boost_system')
+
+@conf
 def check_sqlite(conf):
    conf.start_msg('Checking for package sqlite')
    conf.env.stash()
@@ -568,7 +580,7 @@ def check_ois(conf):
    conf.env.revert()
    conf.end_msg(False)
    conf.fatal('Could not find OIS')
-      
+
 @conf
 def check_xlib(conf):
    # Nice to have because Ogre can't change the window title.
Attachments
build.patch
(1.51 KiB) Downloaded 91 times
SpamBot-006
 
Posts: 1
Joined: 27 Jan 2014, 16:19

Who is online

Users browsing this forum: No registered users and 1 guest

cron